<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>	
<br>
<br>
<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<div align="center"><strong><font face="Verdana" size="2" color="#800000">Resultado Parcial do Processo Seletivo</font></strong><br>
		<?
			if (!isset($curso)) {
		?>
		<font face="Verdana" size="2" color="#FF0000">Escolha o <strong>CURSO</strong> que deseja visualizar o resultado parcial</font></div>
		<?
			}
			else {
				if ((!isset($materia)) && (isset($curso))) {
			?>
			<?
				$sql_curso = "Select * from cursos where codigo = $curso";
				$result_curso = mysql_query($sql_curso)
					or die ( 'Não foi possível executar a query 161.' );
				$info_curso = mysql_fetch_array($result_curso);
				$curso_texto = $info_curso["nome_curso"];
			?>
			<font face="Verdana" size="2" color="#FF0000"><strong><font color="#000000">Curso de </font><? echo $curso_texto; ?></strong></font></div>
			<?
				}
				else {
			?>
			<?
				}
			}
		?>
	</td>
</tr>
</table>

<?	
	if (!isset($curso)) {
		// Escolha do Curso 
		$sql = $sql_cursos;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td>';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo_curso"] . '</font>';
					echo '</td>';
					echo '<td>';
						echo '<a href="notas_parciais.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["nome_curso"]. '</font></a>';
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
	}
else {
	// Exibindo notas parciais

		// Pesos das provas
		$query_pesos = "Select * from pesos";
		$result_pesos = mysql_query($query_pesos)
			or die(mysql_error());
		$peso_materia = array();
		$peso_prova = array();
		$peso_valor = array();
		$num_pesos = mysql_num_rows($result_pesos);
		$i = 1;
		while($parcial_pesos = mysql_fetch_array($result_pesos)) {
			$peso_curso[$i] = trim(Descriptografar($parcial_pesos["codigo_do_curso"],$Chave));
			$peso_materia[$i] = trim(Descriptografar($parcial_pesos["codigo_da_materia"],$Chave));
			$peso_valor[$i] = trim(Descriptografar($parcial_pesos["peso"],$Chave));
			$i++;
		}
	
	
	
	$sql = "SELECT * FROM candidato where controle = '$curso'";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
	$num = mysql_num_rows($result);
	if ($num == 0 ) {
		echo '<br><br><center>Curso não encontrado!!!</center>';
	}
	else {
		$cor = "FFFFFF";
		echo '<br><br>';
		echo '<table width="98%" border="1" cellspacing="0" cellpadding="0" align="center">';
			echo '<tr>';
				echo '<td colspan="2"  bgcolor="#99ff99">';
					echo '<strong><font face="Verdana" size="2" color="#000000">Notas em verde</font></strong>';
				echo '</td>';
				echo '<td colspan="6"  bgcolor="#99ff99">';
					echo '<strong><font face="Verdana" size="2" color="#000000">Sem Peso</font></strong>';
				echo '</td>';
			echo '</tr>';
			echo '<tr>';
				echo '<td colspan="2"  bgcolor="#E1E1E1">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Notas em cinza</strong></font><br>';
				echo '</td>';
				echo '<td colspan="6"  bgcolor="#E1E1E1">';
					echo '<strong><font face="Verdana" size="2" color="#000000">Com Peso</font></strong>';
				echo '</td>';
			echo '</tr>';
			echo '<tr>';
				echo '<td width="10%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Nº Insc.</strong></font>';
				echo '</td>';
				echo '<td width="15%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Lingua Portuguesa e Literatura Brasileira</strong></font>';
				echo '</td>';
				echo '<td width="15%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Lingua Estrangeira</strong></font>';
				echo '</td>';
				echo '<td width="15%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Química e Biologia</strong></font>';
				echo '</td>';
				echo '<td width="10%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>História e Geografia</strong></font>';
				echo '</td>';
				echo '<td width="15%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Matemática e Física</strong></font>';
				echo '</td>';
				echo '<td width="10%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Redação</strong></font>';
				echo '</td>';
				echo '<td width="10%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Total</strong></font>';
				echo '</td>';
			echo '</tr>';
		$cor = "E1E1E1";
		while($info = mysql_fetch_array($result)) {
			$matricula_candidato = $info["codigo"];
			$nome_candidato = $info["nome_candidato"];
			// Tratando codigo da matricula
			if ($matricula_candidato <= 9)
				$matricula_candidato_novo = '00000' . $matricula_candidato;
			if (($matricula_candidato >= 10) && ($matricula_candidato <= 99))
				$matricula_candidato_novo = '0000' . $matricula_candidato;
			if (($matricula_candidato >= 100) && ($matricula_candidato <= 999))
				$matricula_candidato_novo = '000' . $matricula_candidato;
			if (($matricula_candidato >= 1000) && ($matricula_candidato <= 9999))
				$matricula_candidato_novo = '00' . $matricula_candidato;
			if (($matricula_candidato >= 10000) && ($matricula_candidato <= 99999))
				$matricula_candidato_novo = '0' . $matricula_candidato;
			if (($matricula_candidato >= 100000))
				$matricula_candidato_novo = $matricula_candidato;
			$situacao = trim(Descriptografar($info["entregue"],$Chave));
			if ($situacao == 'yes') {
				$total_parcial = 0;
				echo '<tr>';
					echo '<td align="center" bgcolor="'. $cor .'">';
						echo '<font face="Verdana" size="1" color="#000000"><b>' . $matricula_candidato_novo . '</b></font>';
					echo '</td>';
					echo '<td colspan="8" bgcolor="'. $cor .'">';
						echo '<font face="Verdana" size="1" color="#000000"><b>' . Descriptografar($nome_candidato,$Chave). '</b></font>';
					echo '</td>';
				echo '</tr>';
				echo '<tr>';
					echo '<td align="center" bgcolor="'. $cor .'">';
						echo '<font face="Verdana" size="1" color="#000000">&nbsp;&nbsp;</font>';
					echo '</td>';
				// Obtendo nota 1
				$sql_nota = "SELECT * FROM resultado_parcial where matricula = '$matricula_candidato_novo' and cod_materia = '1'";
				$result_nota = mysql_query($sql_nota)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_nota = mysql_fetch_array($result_nota)) {
						echo '<td align="center" bgcolor="'. $cor .'">';
							$curso = $info_nota["cod_curso"];
							$materia = $info_nota["cod_materia"];
							$pt_total = $info_nota["pontuacao"];
							for ($j=1; $j<= $num_pesos; $j++) {
								if (($materia == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
									$total = $peso_valor[$j] * $pt_total;
									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
										echo '<tr>';
											echo '<td width="50%" align="center" bgcolor="#99ff99">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$pt_total . '</font>';
											echo '</td>';
											echo '<td width="50%" align="center">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$total . '.00</font>';
											echo '</td>';
										echo '</tr>';
									echo '</table>';
								}
							}
						echo '</td>';
				}
				$total_parcial = $total + $total_parcial;
				// Obtendo nota 2
				$sql_nota = "SELECT * FROM resultado_parcial where matricula = '$matricula_candidato_novo' and cod_materia = '2'";
				$result_nota = mysql_query($sql_nota)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_nota = mysql_fetch_array($result_nota)) {
						echo '<td align="center" bgcolor="'. $cor .'">';
							$curso = $info_nota["cod_curso"];
							$materia = $info_nota["cod_materia"];
							$pt_total = $info_nota["pontuacao"];
							for ($j=1; $j<= $num_pesos; $j++) {
								if (($materia == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
									$total = $peso_valor[$j] * $pt_total;
									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
										echo '<tr>';
											echo '<td width="50%" align="center" bgcolor="#99ff99">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$pt_total . '</font>';
											echo '</td>';
											echo '<td width="50%" align="center">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$total . '.00</font>';
											echo '</td>';
										echo '</tr>';
									echo '</table>';
								}
							}
						echo '</td>';
				}
				$total_parcial = $total + $total_parcial;
				// Obtendo nota 3
				$sql_nota = "SELECT * FROM resultado_parcial where matricula = '$matricula_candidato_novo' and cod_materia = '3'";
				$result_nota = mysql_query($sql_nota)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_nota = mysql_fetch_array($result_nota)) {
						echo '<td align="center" bgcolor="'. $cor .'">';
							$curso = $info_nota["cod_curso"];
							$materia = $info_nota["cod_materia"];
							$pt_total = $info_nota["pontuacao"];
							for ($j=1; $j<= $num_pesos; $j++) {
								if (($materia == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
									$total = $peso_valor[$j] * $pt_total;
									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
										echo '<tr>';
											echo '<td width="50%" align="center" bgcolor="#99ff99">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$pt_total . '</font>';
											echo '</td>';
											echo '<td width="50%" align="center">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$total . '.00</font>';
											echo '</td>';
										echo '</tr>';
									echo '</table>';
								}
							}
						echo '</td>';
				}
				$total_parcial = $total + $total_parcial;
				// Obtendo nota 4
				$sql_nota = "SELECT * FROM resultado_parcial where matricula = '$matricula_candidato_novo' and cod_materia = '4'";
				$result_nota = mysql_query($sql_nota)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_nota = mysql_fetch_array($result_nota)) {
						echo '<td align="center" bgcolor="'. $cor .'">';
							$curso = $info_nota["cod_curso"];
							$materia = $info_nota["cod_materia"];
							$pt_total = $info_nota["pontuacao"];
							for ($j=1; $j<= $num_pesos; $j++) {
								if (($materia == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
									$total = $peso_valor[$j] * $pt_total;
									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
										echo '<tr>';
											echo '<td width="50%" align="center" bgcolor="#99ff99">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$pt_total . '</font>';
											echo '</td>';
											echo '<td width="50%" align="center">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$total . '.00</font>';
											echo '</td>';
										echo '</tr>';
									echo '</table>';
								}
							}
						echo '</td>';
				}
				$total_parcial = $total + $total_parcial;
				// Obtendo nota 5
				$sql_nota = "SELECT * FROM resultado_parcial where matricula = '$matricula_candidato_novo' and cod_materia = '5'";
				$result_nota = mysql_query($sql_nota)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_nota = mysql_fetch_array($result_nota)) {
						echo '<td align="center" bgcolor="'. $cor .'">';
							$curso = $info_nota["cod_curso"];
							$materia = $info_nota["cod_materia"];
							$pt_total = $info_nota["pontuacao"];
							for ($j=1; $j<= $num_pesos; $j++) {
								if (($materia == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
									$total = $peso_valor[$j] * $pt_total;
									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
										echo '<tr>';
											echo '<td width="50%" align="center" bgcolor="#99ff99">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$pt_total . '</font>';
											echo '</td>';
											echo '<td width="50%" align="center">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$total . '.00</font>';
											echo '</td>';
										echo '</tr>';
									echo '</table>';
								}
							}
						echo '</td>';
				}
				$total_parcial = $total + $total_parcial;
				// Obtendo nota redacao
				$sql_nota = "SELECT * FROM resultado_final where matricula = '$matricula_candidato_novo'";
				$result_nota = mysql_query($sql_nota)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_nota = mysql_fetch_array($result_nota)) {
						echo '<td align="center" bgcolor="'. $cor .'">';
							$redacao = $info_nota["redacao"];

									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
										echo '<tr>';
											echo '<td width="50%" align="center" bgcolor="#99ff99">';
												echo  '<font face="Verdana" size="1" color="#000000">' .$redacao . '</font>';
											echo '</td>';
											echo '<td width="50%" align="center">';
												echo  '<font face="Verdana" size="1" color="#000000">' .($redacao * 3) . '</font>';
											echo '</td>';
										echo '</tr>';
									echo '</table>';
						echo '</td>';
				}
				$total_parcial = ($redacao * 3) + $total_parcial;
					echo '<td align="center" bgcolor="'. $cor .'">';
						echo  '<font face="Verdana" size="1" color="#000000"><b>' . $total_parcial . '</b></font>';
					echo '</td>';
				echo '</tr>';
			if ($cor == "E1E1E1")
				$cor = "E1E1E1";
			else
				$cor = "E1E1E1";
			echo '<tr>';
				echo '<td colspan="8">';
					echo '<font face="Verdana" size="1" color="#000000">&nbsp;</font>';
				echo '</td>';
			echo '</tr>';
			}
		}
		echo '</table>';
	}
}

?>
<br>
<br>
</body>
</html>
